ChartDirector Ver 4.1 (PHP Edition Edition)

ArrayMath.movMed

Usage

movMed(interval)

Description

Replaces each element of the ArrayMath object by its moving median.
The interval parameter specifies the window size for computing moving average. The moving average is computed as the median of the current element with the previous (interval - 1) elements. No moving median can be computed for the first (interval - 1) elements, because there are insufficient previous elements. So the first (interval - 1) elements will be replaced with NoValue.

Arguments

Argument | Default | Description
--- | --- | ---
interval | (Mandatory) | The window size.

Return Value

The current ArrayMath object.

© 2006 Advanced Software Engineering Limited. All rights reserved.